package cn.com.tenlion.systembase.pojo.vos.keyareacheckrenovationpatrol;

import ink.wgink.annotation.CheckEmptyAnnotation;
import ink.wgink.annotation.CheckNumberAnnotation;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 *
 * @ClassName: KeyAreaCheckRenovationPatrolVO
 * @Description: 重点区域巡查记录
 * @Author: CodeFactory
 * @Date: 2021-10-20 09:50:11
 * @Version: 3.0
 **/
@ApiModel
public class KeyAreaCheckRenovationPatrolVO {

    @ApiModelProperty(name = "keyAreaCheckRenovationId", value = "重点区域ID")
    private String keyAreaCheckRenovationId;
    @ApiModelProperty(name = "keyAreaCheckRenovationName", value = "重点区域ID")
    private String keyAreaCheckRenovationName;
    @ApiModelProperty(name = "patrolTime", value = "巡查时间")
    @CheckEmptyAnnotation(name = "巡查时间", verifyType = "datetime")
    private String patrolTime;
    @ApiModelProperty(name = "patrolContent", value = "巡查内容")
    private String patrolContent;
    @ApiModelProperty(name = "patrolResult", value = "巡查结果")
    private String patrolResult;
    @ApiModelProperty(name = "patrolPhoto", value = "巡查照片")
    private String patrolPhoto;
    @ApiModelProperty(name = "patrolVideo", value = "巡查视频")
    private String patrolVideo;
    @ApiModelProperty(name = "remake", value = "备注")
    private String remake;

    public String getKeyAreaCheckRenovationId() {
        return keyAreaCheckRenovationId;
    }

    public void setKeyAreaCheckRenovationId(String keyAreaCheckRenovationId) {
        this.keyAreaCheckRenovationId = keyAreaCheckRenovationId;
    }

    public String getKeyAreaCheckRenovationName() {
        return keyAreaCheckRenovationName;
    }

    public void setKeyAreaCheckRenovationName(String keyAreaCheckRenovationName) {
        this.keyAreaCheckRenovationName = keyAreaCheckRenovationName;
    }

    public String getPatrolTime() {
        return patrolTime == null ? "" : patrolTime.trim();
    }

    public void setPatrolTime(String patrolTime) {
        this.patrolTime = patrolTime;
    }

    public String getPatrolContent() {
        return patrolContent == null ? "" : patrolContent.trim();
    }

    public void setPatrolContent(String patrolContent) {
        this.patrolContent = patrolContent;
    }

    public String getPatrolResult() {
        return patrolResult == null ? "" : patrolResult.trim();
    }

    public void setPatrolResult(String patrolResult) {
        this.patrolResult = patrolResult;
    }

    public String getPatrolPhoto() {
        return patrolPhoto == null ? "" : patrolPhoto.trim();
    }

    public void setPatrolPhoto(String patrolPhoto) {
        this.patrolPhoto = patrolPhoto;
    }

    public String getPatrolVideo() {
        return patrolVideo == null ? "" : patrolVideo.trim();
    }

    public void setPatrolVideo(String patrolVideo) {
        this.patrolVideo = patrolVideo;
    }

    public String getRemake() {
        return remake == null ? "" : remake.trim();
    }

    public void setRemake(String remake) {
        this.remake = remake;
    }


}
